max_jobs = 6

sock_path = /run/merlin/merlin.sock
states_path = /home/test-mirror/merlin/states

; log_path? (just spes a dir and make files)
log_file = /tmp/test-mirror/test.log

ipv4_address = 129.97.134.129
ipv6_address = 2620:101:f000:4901:c5c::129
download_dir = /tmp/test-mirror

; 5 hours
; default_max_time = 18000
; add default max_time
; add default frequency
; add default sync_type

; [DEFAULT]
;


[debian]
sync_type = csc-sync-debian
frequency = bi-hourly
local_dir = debian
rsync_host = debian.mirror.rafal.ca
rsync_dir = debian

; [debian-cdimage]
; sync_type = csc-sync-cdimage
; frequency = twice-daily
; local_dir = debian-cdimage
; rsync_host = cdimage.debian.org
; rsync_dir = cdimage

[ubuntu]
sync_type = csc-sync-debian
frequency = bi-hourly
local_dir = ubuntu
rsync_host = archive.ubuntu.com
rsync_dir = ubuntu
trace_host = drescher.canonical.com

[ubuntu-ports]
sync_type = csc-sync-debian
frequency = bi-hourly
local_dir = ubuntu-ports
rsync_host = ports.ubuntu.com
rsync_dir = ubuntu-ports
trace_host = drescher.canonical.com

[linuxmint-packages]
sync_type = csc-sync-debian
frequency = bi-hourly
local_dir = linuxmint-packages
rsync_host = rsync-packages.linuxmint.com
rsync_dir = packages

[debian-multimedia]
sync_type = csc-sync-debian
frequency = bi-hourly
local_dir = debian-multimedia
rsync_host = www.deb-multimedia.org
rsync_dir = deb

[debian-backports]
sync_type = csc-sync-debian
frequency = bi-hourly
local_dir = debian-backports
rsync_host = debian.mirror.rafal.ca
rsync_dir = debian-backports

; [debian-volatile]
; sync_type = csc-sync-debian
; frequency = bi-hourly
; local_dir = debian-volatile
; rsync_host = debian.mirror.rafal.ca
; rsync_dir = debian-volatile

[debian-security]
sync_type = csc-sync-debian
frequency = twice-hourly
local_dir = debian-security
rsync_host = rsync.security.debian.org
rsync_dir = debian-security
; trace_host = security-master.debian.org

[ubuntu-releases]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = ubuntu-releases
rsync_host = rsync.releases.ubuntu.com
rsync_dir = releases

[xubuntu-releases]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = xubuntu-releases
rsync_host = cdimage.ubuntu.com
rsync_dir = cdimage/xubuntu/releases/

; [emdebian]
; sync_type = csc-sync-badperms
; frequency = twice-daily
; local_dir = emdebian
; rsync_host = www.emdebian.org
; rsync_dir = debian

[puppylinux]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = puppylinux
rsync_host = distro.ibiblio.org
rsync_dir = puppylinux

[CPAN]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = CPAN
rsync_host = cpan-rsync.perl.org
rsync_dir = CPAN

[CRAN]
sync_type = csc-sync-ssh
frequency = twice-daily
local_dir = CRAN
rsync_host = cran.r-project.org
; address is $RSYNC_HOST:$RSYNC_DIR/ (and $RSYNC_DIR="") but rsync_dir should not be empty
rsync_dir = /
rsync_user = cran-rsync
password_file = ~/.ssh/id_cran_rsa

[CTAN]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = CTAN
rsync_host = rsync.dante.ctan.org
rsync_dir = CTAN

; [openoffice]
; sync_type = csc-sync-standard
; frequency = twice-daily
; local_dir = openoffice
; rsync_host = rsync.services.openoffice.org
; rsync_host = ftp.snt.utwente.nl
; rsync_dir = openoffice-extended

[fedora-epel]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = fedora/epel
rsync_host = mirrors.kernel.org
rsync_dir = fedora-epel
; ~/bin/report_mirror > /dev/null

[cygwin]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = cygwin
rsync_host = cygwin.com
rsync_dir = cygwin-ftp

[gnu]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = gnu
; rsync_host = mirrors.ibiblio.org
; rsync_dir = gnuftp/gnu/
rsync_host = ftp.gnu.org
rsync_dir = gnu

[nongnu]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = nongnu
rsync_host = dl.sv.gnu.org
rsync_dir = releases

[mysql]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = mysql
; rsync_host = mysql.he.net
; rsync_dir = mysql
rsync_host = rsync.mirrorservice.org
rsync_dir = ftp.mysql.com

; No longer syncs, and no longer really relevant
; [mozdev]
; sync_type = csc-sync-standard
; frequency = twice-daily
; local_dir = mozdev
; rsync_host = rsync.mozdev.org
; rsync_dir = mozdev

[gnome]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = gnome
rsync_host = master.gnome.org
rsync_dir = gnomeftp
; password_file = gnome
; password_file = /home/mirror/passwords/gnome

[damnsmalllinux]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = damnsmalllinux
rsync_host = ftp.heanet.ie
rsync_dir = mirrors/damnsmalllinux.org/

[linuxmint]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = linuxmint
rsync_host = pub.linuxmint.com
rsync_dir = pub

[kernel.org-linux]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = kernel.org/linux
rsync_host = rsync.kernel.org
rsync_dir = pub/linux/

[kernel.org-software]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = kernel.org/software
rsync_host = rsync.kernel.org
rsync_dir = pub/software/

[apache]
sync_type = csc-sync-apache
frequency = twice-daily
local_dir = apache
rsync_host = rsync.us.apache.org
rsync_dir = apache-dist

[eclipse]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = eclipse
rsync_host = download.eclipse.org
rsync_dir = eclipseMirror

[kde]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = kde
rsync_host = rsync.kde.org
rsync_dir = kdeftp

[kde-applicationdata]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = kde-applicationdata
rsync_host = rsync.kde.org
rsync_dir = applicationdata

; We are a Tier 1 arch mirror (https://bugs.archlinux.org/task/52853)
; so our IP is important.
; our rsync_host is rsync://rsync.archlinux.org/ftp_tier1
[archlinux]
; csc-sync-standard archlinux archlinux.mirror.rafal.ca archlinux
sync_type = csc-sync-archlinux
frequency = five-minutely
local_dir = archlinux
rsync_host = rsync.archlinux.org
rsync_dir = ftp_tier1
trace_host = http://rsync.archlinux.org/lastupdate

[debian-ports]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = debian-ports
rsync_host = ftp.de.debian.org
rsync_dir = debian-ports

[slackware]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = slackware
rsync_host = slackware.cs.utah.edu
rsync_dir = slackware

[debian-cd]
sync_type = csc-sync-debian-cd
frequency = twice-daily

[x.org]
; csc-sync-standard x.org xorg.freedesktop.org xorg-archive
; csc-sync-standard x.org mirror.us.leaseweb.net xorg
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = x.org
rsync_host = rsync.mirrorservice.org
rsync_dir = ftp.x.org/pub

[centos]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = centos
rsync_host = us-msync.centos.org
rsync_dir = CentOS

[opensuse]
; "--exclude distribution/.timestamp_invisible"
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = opensuse
rsync_host = stage.opensuse.org
rsync_dir = opensuse-full/opensuse/

[FreeBSD]
; Has not updated since at least June 2018
; csc-sync-standard FreeBSD ftp10.us.freebsd.org FreeBSD
sync_type = csc-sync-standard
; csc-sync-standard FreeBSD ftp3.us.freebsd.org FreeBSD/
frequency = twice-daily
local_dir = FreeBSD
rsync_host = ftp2.uk.freebsd.org
rsync_dir = ftp.freebsd.org/pub/FreeBSD/

[fedora-enchilada]
; csc-sync-standard fedora/linux mirrors.kernel.org fedora-enchilada/linux/ --ignore-errors && ~/bin/report_mirror >/dev/null
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = fedora/linux
rsync_host = mirrors.kernel.org
rsync_dir = fedora-enchilada/linux/
; ~/bin/report_mirror >/dev/null

[ubuntu-ports-releases]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = ubuntu-ports-releases
rsync_host = cdimage.ubuntu.com
rsync_dir = cdimage/releases/

[gentoo-distfiles]
sync_type = csc-sync-gentoo
frequency = bi-hourly

[gentoo-portage]
sync_type = csc-sync-standard
frequency = twice_hourly
local_dir = gentoo-portage
rsync_host = rsync1.us.gentoo.org
rsync_dir = gentoo-portage

; This project is no longer available for mirroring
; https://bugzilla.mozilla.org/show_bug.cgi?id=807543
; [mozilla.org]
;    csc-sync-standard mozilla.org releases-rsync.mozilla.org mozilla-releases
;    frequency = twice_hourly

[gutenberg]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = gutenberg
rsync_host = ftp@ftp.ibiblio.org
rsync_dir = gutenberg

[racket-installers]
sync_type = csc-sync-wget
frequency = twice-daily
local_dir = racket/racket-installers
rsync_host = https://mirror.racket-lang.org/installers/
; for csc-sync-wget the --cut-dirs=1 is hardcoded

[plt-bundles]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = racket/plt-bundles
rsync_host = mirror.racket-lang.org
rsync_dir = plt-bundles

[OpenBSD]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = OpenBSD
rsync_host = ftp3.usa.openbsd.org
rsync_dir = ftp

[xiph]
; csc-sync-standard xiph downloads.xiph.org xiph/releases
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = xiph
rsync_host = ftp.osuosl.org
rsync_dir = xiph

; We currently don't have the disk space
[netbsd]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = NetBSD
rsync_host = rsync.netbsd.org
rsync_dir = NetBSD

[netbsd-pkgsrc]
sync_type = csc-sync-standard
; csc-sync-standard pkgsrc rsync3.jp.netbsd.org pub/pkgsrc/
frequency = twice-daily
local_dir = pkgsrc
rsync_host = rsync.netbsd.org
rsync_dir = pkgsrc

[macports-release]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = MacPorts/release
rsync_host = rsync.macports.org
rsync_dir = macports/release/

[macports-distfiles]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = MacPorts/mpdistfiles
rsync_host = rsync.macports.org
rsync_dir = macports/distfiles/

; [raspberrypi]
; sync_type = csc-sync-standard
; frequency = twice-daily
; local_dir = raspberrypi
; rsync_host = mirrors.rit.edu
; rsync_dir = rpi

[sagemath]
; csc-sync-standard sage mirror.clibre.uqam.ca sage
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = sage
rsync_host = rsync.sagemath.org
rsync_dir = sage

; [cs136]
; csc-sync-ssh uw-coursewear/cs136 linux024.student.cs.uwaterloo.ca /u/cs136/mirror.uwaterloo.ca csc01 ~/.ssh/id_rsa_csc01
; frequency = hourly

[vlc]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = vlc
rsync_host = rsync.videolan.org
rsync_dir = videolan-ftp

[qtproject]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = qtproject
rsync_host = master.qt.io
rsync_dir = qt-all

[tdf]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = tdf
rsync_host = rsync.documentfoundation.org
rsync_dir = tdf-pub

[saltstack]
sync_type = csc-sync-s3
frequency = daily
local_dir = saltstack
rsync_host = https://s3.repo.saltproject.io

; [kali]
; csc-sync-standard kali kali.mirror.globo.tech kali
; frequency = twice-daily

; [kali-images]
; csc-sync-standard kali-images kali.mirror.globo.tech kali-images
; frequency = twice-daily

[alpine]
sync_type = csc-sync-standard
frequency = hourly
local_dir = alpine
rsync_host = rsync.alpinelinux.org
rsync_dir = alpine

[raspbian]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = raspbian
rsync_host = archive.raspbian.org
rsync_dir = archive

[raspberrypi]
sync_type = csc-sync-standard-ipv6
frequency = bi-hourly
local_dir = raspberrypi
rsync_host = apt-repo.raspberrypi.org
rsync_dir = archive

[ipfire]
sync_type = csc-sync-standard
frequency = hourly
local_dir = ipfire
rsync_host = rsync.ipfire.org
rsync_dir = full

[manjaro]
sync_type = csc-sync-standard
frequency = hourly
local_dir = manjaro
rsync_host = mirrorservice.org
rsync_dir = repo.manjaro.org/repos/

[scientific]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = scientific
rsync_host = rsync.scientificlinux.org
rsync_dir = scientific

[mxlinux]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = mxlinux
rsync_host = mirror.math.princeton.edu
rsync_dir = pub/mxlinux/

[mxlinux-iso]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = mxlinux-iso
rsync_host = mirror.math.princeton.edu
rsync_dir = pub/mxlinux-iso/


[parabola]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = parabola
rsync_host = repo.parabola.nu:875
rsync_dir = repos/

; [hyperbola-sources]
; csc-sync-chmod hyperbola/sources repo.hyperbola.info:52000 repo/
; frequency = twice-daily

; [hyperbola-stable]
; csc-sync-chmod hyperbola/gnu-plus-linux-libre/stable repo.hyperbola.info:52012 repo/
; frequency = twice-daily

; [hyperbola-testing]
; csc-sync-chmod hyperbola/gnu-plus-linux-libre/testing repo.hyperbola.info:52011 repo/
; frequency = twice-daily

[trisquel-packages]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = trisquel/packages
rsync_host = rsync.trisquel.info
rsync_dir = trisquel.packages/

[trisquel-iso]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = trisquel/iso
rsync_host = rsync.trisquel.info
rsync_dir = trisquel.iso/

[almalinux]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = almalinux
rsync_host = rsync.repo.almalinux.org
rsync_dir = almalinux/

[ceph]
sync_type = csc-sync-ceph
frequency = tri-hourly
local_dir = ceph
rsync_host = download.ceph.com
